<?php
/**
 * Plugin Name: WpTeam YouTube Embed 
 * Plugin URI: http://wpteam.org/wordpress-youtube-plugin/
 * Description: WpTeam YouTube plugin is an nice  tool for adding videos into your website. Use YouTube Embed plugin for adding YouTube videos in posts/pages, widgets.
 * Version: 1.0.1
 * Author: WpTeam
 * Author URI:    http://wpteam.org/
 * License URI: GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
 

class youtube_embed{
	// required variables for YouTube Embed plugin
	
	private $plugin_url;
	
	private $plugin_path;
	
	private $version;
	
	public $options;
	
	
	function __construct(){
		
		$this->plugin_url  = trailingslashit( plugins_url('', __FILE__ ) );
		$this->plugin_path = trailingslashit( plugin_dir_path( __FILE__ ) );
		$this->version     = 1.0;
		$this->call_base_filters();
		$this->create_admin_menu();
		$this->front_end();
		
	}
	
	private function create_admin_menu(){
		
		require_once($this->plugin_path.'admin/admin_menu.php');
		
		$admin_menu = new youtube_admin_menu(array('plugin_url' => $this->plugin_url,'plugin_path' => $this->plugin_path));
		
		add_action('admin_menu', array($admin_menu,'create_menu'));
		
	}
	public function front_end(){
				
		require_once($this->plugin_path.'fornt_end/front_end.php');
		$youtube_embed_fornt_end = new youtube_embed_front_end(array('menu_name' => 'Youtube','plugin_url' => $this->plugin_url,'plugin_path' => $this->plugin_path));
		
		require_once($this->plugin_path.'fornt_end/fornt_end_widget.php');
		add_action('widgets_init', create_function('', 'return register_widget("youtube_embed_widget");'));
	}
	
	public function registr_requeried_scripts(){		
		wp_register_script('youtube_front_end_api_js',$this->plugin_url.'fornt_end/scripts/youtube_embed_front_end.js',array('jquery'));
		wp_register_script('youtube_api_js',"https://www.youtube.com/iframe_api",array('youtube_front_end_api_js'));
		wp_register_style('admin_style_youtube_embed',$this->plugin_url.'admin/styles/admin_themplate.css');
		wp_register_style('front_end_youtube_style',$this->plugin_url.'fornt_end/styles/baze_styles_youtube.css');
		wp_register_style('jquery-ui-style',$this->plugin_url.'admin/styles/jquery-ui.css');		
	}
	public function enqueue_requeried_scripts(){	
		wp_enqueue_style("jquery-ui-style");
		wp_enqueue_script("jquery-ui-slider");
		wp_enqueue_style('admin_style_youtube_embed',$this->plugin_url.'admin/styles/admin_themplate.css');
	}
	public function call_base_filters(){
		add_action( 'init',  array($this,'registr_requeried_scripts') );
		add_action( 'admin_head',  array($this,'enqueue_requeried_scripts') );
	}
  	
	private function include_file(){
	
	}
}
$youtube_embed = new youtube_embed();

/*WPTEAM UPDATE PART*/

add_action('admin_init','wpteam_auto_update_main_function_youtube_embed_free'); //Function responsible for front-end		
function wpteam_auto_update_main_function_youtube_embed_free(){
	
	require_once(trailingslashit(plugin_dir_path( __FILE__ )).'auto_update_extension.php');// updatei hamar		
	$wpteam_update_plugin_info=__FILE__;
	
	$plugin_information=get_plugin_data($wpteam_update_plugin_info);	
	$wpteam_plugin_current_version = $plugin_information['Version'];	
	
	$wpteam_plugin_slug = trim(str_replace(dirname(dirname(__FILE__)),'',$wpteam_update_plugin_info),'\\');// replaceble
	$wpteam_plugin_slug=str_replace('\\','/',$wpteam_plugin_slug);
	$wpteam_plugin_remote_path = 'http://wpteam.org/wp-admin/admin-ajax.php?action=wpteam_update_plugins&plugin='.urlencode($wpteam_plugin_slug);
	new wpteam_auto_update_plugins ($wpteam_plugin_current_version, $wpteam_plugin_remote_path, $wpteam_plugin_slug,$plugin_information);	
}
/*WPTEAM UPDATE PART*/

?>